%define upstream_name    MasonX-Request-ExtendedCompRoot
%define upstream_version 0.03

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:	MasonX::Request::ExtendedCompRoot - Extend  functionality of Mason's component root
License:	GPL
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	ftp://ftp.perl.org/pub/CPAN/modules/by-module/MasonX/%{upstream_name}-%{upstream_version}.tar.bz2 

BuildRequires:	perl(HTML::Mason) >= 1.240.0
BuildArch:	noarch


%description
"MasonX::Request::ExtendedCompRoot" lets you alter Mason's
component root during the lifetime of any given request or
subrequest. This behaviour is useful if you want to override
certain components, but cannot determine that at the moment you
create your handler (when you could in theory create an interp
object with a different component root) or because you configure
Mason in an httpd.conf.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor 
%{__make}

%check
%__make test

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
%makeinstall_std

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes LICENSE README
%{perl_vendorlib}/MasonX/Request/ExtendedCompRoot.pm
%{perl_vendorlib}/MasonX/Resolver/ExtendedCompRoot.pm
%{_mandir}/man3/*

%changelog
* Thu Jan 27 2011 jquelin <jquelin> 0.30.0-2.mga1
+ Revision: 41951
- mageia rebuild
- update buildrequires
- mageia rebuild
- imported package perl-MasonX-Request-ExtendedCompRoot


* Sat Aug 01 2009 Jérôme Quelin <jquelin@mandriva.org> 0.30.0-2mdv2010.0
+ Revision: 405862
- bump mkrel to force rebuild
- rebuild using %%perl_convert_version

* Wed Jul 23 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.03-4mdv2009.0
+ Revision: 241716
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot


* Wed May 03 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.03-2mdk
- Fix According to perl Policy
	- Source URL

* Fri Jan 27 2006 Oden Eriksson <oeriksson@mandriva.com> 0.03-1mdk
- initial Mandriva package

